﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class RotatorSample : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!Page.IsPostBack)
        {
            this.RadRotator1.DataSource = new string[] { "barcelona.jpg", "london.jpg", "paris.jpg", "piza.jpg" };
            this.RadRotator1.DataBind();
        }

    }
    protected void RadRotator1_ItemDataBound(object sender, Telerik.Web.UI.RadRotatorEventArgs e)
    {
        string cPhoto = "images/" + e.Item.DataItem.ToString().Replace("\\", "/");
        if (File.Exists(Server.MapPath(cPhoto)))
        {
            ((Image)e.Item.FindControl("photo_mini")).ImageUrl = cPhoto;
            ((TextBox)e.Item.FindControl("txt_img")).Text = cPhoto;
        }
        else
        {
            ((Image)e.Item.FindControl("photo_mini")).ImageUrl = "~/images/venice.jpg";
            ((TextBox)e.Item.FindControl("txt_img")).Text = cPhoto;
        }
    }
}